<?php
    /**
     * Template for the post excerpt slider on the homepage.
     *
     * @package villanelle
     * @since villanelle 1.0
     */
    ?>

    <!--  scroller -->
    <?php if( is_home() && get_theme_mod( 'villanelle_customizer_slider_disable' ) != 'disable' ) {

        if(get_theme_mod('villanelle_slider_designs')=='Slider1'){ ?>

            <div class="villanelle_slides">
                    <?php
                    $villanelle_image_size = "villanelle-large-image";
                    $villanelle_number23 = get_theme_mod( 'villanelle_slider_slides' );
                    $villanelle_category=get_theme_mod('villanelle_slider_category');

                        $villanelle_featured_list_args  = array(
                            'posts_per_page' => $villanelle_number23,
                            'cat' => $villanelle_category
                        );
                        $villanelle_featured_list_posts = new WP_Query( $villanelle_featured_list_args );
                    ?>

                    <?php while( $villanelle_featured_list_posts->have_posts() ) : $villanelle_featured_list_posts->the_post() ?>
                <div class="item-slide">


                <div class="slide-wrap">



                    <?php if ( has_post_thumbnail() ) {
                        $villanelle_image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), $villanelle_image_size ); ?>
                        <div class="image-slide">
                            <a href="<?php echo esc_url(get_permalink()); ?>">
                                <div class="feat-item" style="background-image:url(<?php if(!$villanelle_image) { echo esc_url(get_template_directory_uri() . '/images/slider-default.png'); } else { echo esc_url($villanelle_image[0]); } ?>);"></div>
                            </a>
                        </div>
                    <?php }
                    else { ?>
                        <div class="image-slide">
                            <a href="<?php echo esc_url(get_permalink()); ?>">
                                <div class="feat-item" style="background-image:url(<?php echo esc_url(get_template_directory_uri() . '/images/slider-default.png'); ?>);"></div>
                            </a>
                        </div>
                    <?php } ?>

                    <div class="feat-item-wrapper">
                        <div class="feat-overlay">
                            <div class="feat-inner">
                                <div class="scroll-post">
                                    <?php echo villanelle_getCategory(); ?>
                                </div>
                                <h2 class="feat-title">
                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                </h2>
                                <div class="slider-meta">
                                    <div class="post-date">
                                        <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_the_date()); ?></a>
                                    </div>
                                    <div class="postcomment"><?php comments_popup_link( __( '0', 'villanelle' ), __( '1', 'villanelle' ), __( '%', 'villanelle' ),'','' ); ?></div>
                                </div>
                            </div>
                        </div>



                    </div>

                </div>
                    <div class="nextpreviousbuttons">
                        <button type="button" class="slick-nav slick-prev"><i class="fa fa-angle-left"></i></button>
                        <button type="button" class="slick-nav slick-next"><i class="fa fa-angle-right"></i></button>
                    </div>
                </div>

            <?php endwhile; ?>
                    <?php wp_reset_postdata(); ?>
            </div><!-- slides -->

        <?php }

        else if(get_theme_mod( 'villanelle_slider_designs' ) != 'Slider2' && get_theme_mod( 'villanelle_slider_designs' ) != 'Slider3'){ ?>
            <div class="villanelle_slides ">
                <?php
                $villanelle_image_size = "villanelle-large-image";
                $villanelle_number23 = get_theme_mod( 'villanelle_slider_slides' );
                $villanelle_category=get_theme_mod('villanelle_slider_category');

                $villanelle_featured_list_args  = array(
                    'posts_per_page' => $villanelle_number23,
                    'cat' => $villanelle_category
                );
                $villanelle_featured_list_posts = new WP_Query( $villanelle_featured_list_args );
                ?>

                <?php while( $villanelle_featured_list_posts->have_posts() ) : $villanelle_featured_list_posts->the_post() ?>
                    <div class="item-slide">


                        <div class="slide-wrap">

                            <div class="feat-item-wrapper">
                                <div class="feat-overlay">
                                    <div class="feat-inner">
                                        <div class="scroll-post">
                                            <?php echo villanelle_getCategory(); ?>
                                        </div>
                                        <h2 class="feat-title">
                                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                        </h2>
                                        <div class="slider-meta">
                                            <div class="post-date">
                                                <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_the_date()); ?></a>
                                            </div>
                                            <div class="postcomment"><?php comments_popup_link( __( '0', 'villanelle' ), __( '1', 'villanelle' ), __( '%', 'villanelle' ),'','' ); ?></div>
                                        </div>
                                    </div>
                                </div>



                            </div>

                            <?php if ( has_post_thumbnail() ) {
                                $villanelle_image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), $villanelle_image_size ); ?>
                                <div class="image-slide">
                                    <a href="<?php echo esc_url(get_permalink()); ?>">
                                        <div class="feat-item" style="background-image:url(<?php if(!$villanelle_image) { echo esc_url(get_template_directory_uri() . '/images/slider-default.png'); } else { echo esc_url($villanelle_image[0]); } ?>);"></div>
                                    </a>
                                </div>
                            <?php }
                            else { ?>
                                <div class="image-slide">
                                    <a href="<?php echo esc_url(get_permalink()); ?>">
                                        <div class="feat-item" style="background-image:url(<?php echo esc_url(get_template_directory_uri() . '/images/slider-default.png'); ?>);"></div>
                                    </a>
                                </div>
                            <?php } ?>


                        </div>
                        <div class="nextpreviousbuttons">
                            <button type="button" class="slick-nav slick-prev"><i class="fa fa-angle-left"></i></button>
                            <button type="button" class="slick-nav slick-next"><i class="fa fa-angle-right"></i></button>
                        </div>
                    </div>

                <?php endwhile; ?>
                <?php wp_reset_postdata(); ?>
            </div><!-- slides -->
        <?php
        }

        if(get_theme_mod('villanelle_slider_designs')=='Slider2'){ ?>

            <div class="villanelle_slides2 container">
                <?php
                $villanelle_image_size = "villanelle-large-image";
                $villanelle_number23 = get_theme_mod( 'villanelle_slider_slides' );
                $villanelle_category=get_theme_mod('villanelle_slider_category');

                if($villanelle_number23!=0&&$villanelle_number23>4){
                    $villanelle_number23=4;
                }
                else{
                    $villanelle_number23=4;
                }
                $villanelle_featured_list_args  = array(
                    'posts_per_page' => $villanelle_number23,
                    'cat' => $villanelle_category
                );
                $villanelle_featured_list_posts = new WP_Query( $villanelle_featured_list_args );
                ?>

                <?php while( $villanelle_featured_list_posts->have_posts() ) : $villanelle_featured_list_posts->the_post() ?>
                    <div class="item-slide">


                        <?php if ( has_post_thumbnail() ) {
                            $villanelle_image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), $villanelle_image_size ); ?>
                            <div class="image-slide">
                                <a href="<?php echo esc_url(get_permalink()); ?>">
                                    <div class="feat-item" style="background-image:url(<?php if(!$villanelle_image) { echo esc_url(get_template_directory_uri() . '/images/slider-default.png'); } else { echo esc_url($villanelle_image[0]); } ?>);"></div>
                                </a>
                            </div>
                        <?php }
                        else { ?>
                            <div class="image-slide">
                                <a href="<?php echo esc_url(get_permalink()); ?>">
                                    <div class="feat-item" style="background-image:url(<?php echo esc_url(get_template_directory_uri() . '/images/slider-default.png'); ?>);"></div>
                                </a>
                            </div>
                        <?php } ?>


                        <div class="feat-item-wrapper">
                            <div class="feat-overlay">
                                <div class="feat-inner">
                                    <div class="scroll-post">
                                        <?php echo villanelle_getCategory(); ?>
                                    </div>
                                    <h2 class="feat-title">
                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                    </h2>
                                    <div class="slider-meta">
                                        <div class="post-date">
                                            <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_the_date()); ?></a>
                                        </div>
                                        <div class="postcomment"><?php comments_popup_link( __( '0', 'villanelle' ), __( '1', 'villanelle' ), __( '%', 'villanelle' ),'','' ); ?></div>
                                    </div>
                                </div>
                            </div>




                        </div>
                    </div>
                <?php endwhile; ?>
                <?php wp_reset_postdata(); ?>
            </div><!-- slides -->

        <?php }


    if(get_theme_mod('villanelle_slider_designs')=='Slider3'){ ?>

        <div class="villanelle_slides3">
            <?php
            $villanelle_image_size = "villanelle-large-image";
            $villanelle_number23 = get_theme_mod( 'villanelle_slider_slides' );
            $villanelle_category=get_theme_mod('villanelle_slider_category');

            $villanelle_featured_list_args  = array(
                'posts_per_page' => $villanelle_number23,
                'cat' => $villanelle_category
            );
            $villanelle_featured_list_posts = new WP_Query( $villanelle_featured_list_args );
            ?>

            <?php while( $villanelle_featured_list_posts->have_posts() ) : $villanelle_featured_list_posts->the_post() ?>
                <div class="item-slide">


                    <?php if ( has_post_thumbnail() ) {
                        $villanelle_image = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), $villanelle_image_size ); ?>
                        <div class="image-slide">
                            <a href="<?php echo esc_url(get_permalink()); ?>">
                                <div class="feat-item" style="background-image:url(<?php if(!$villanelle_image) { echo esc_url(get_template_directory_uri() . '/images/slider-default.png'); } else { echo esc_url($villanelle_image[0]); } ?>);"></div>
                            </a>
                        </div>
                    <?php }
                    else { ?>
                        <div class="image-slide">
                            <a href="<?php echo esc_url(get_permalink()); ?>">
                                <div class="feat-item" style="background-image:url(<?php echo esc_url(get_template_directory_uri() . '/images/slider-default.png'); ?>);"></div>
                            </a>
                        </div>
                    <?php } ?>


                    <div class="feat-item-wrapper">
                        <div class="feat-overlay">
                            <div class="feat-inner">
                                <div class="scroll-post">
                                    <?php echo villanelle_getCategory(); ?>
                                </div>
                                <h2 class="feat-title">
                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                </h2>
                                <div class="slider-meta">
                                    <div class="post-date">
                                        <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_the_date()); ?></a>
                                    </div>
                                    <div class="postcomment"><?php comments_popup_link( __( '0', 'villanelle' ), __( '1', 'villanelle' ), __( '%', 'villanelle' ),'','' ); ?></div>
                                </div>

                            </div>
                        </div>




                    </div>
                </div>
            <?php endwhile; ?>
            <?php wp_reset_postdata(); ?>
        </div><!-- slides -->

    <?php } ?>


    <?php } ?>